# Generelle Konstanten
#
<define-tag colh>#abdcfc</define-tag>
<define-tag cold>#eff0f1</define-tag>
<define-tag coln>#ffffff</define-tag>
# Status: 0=ordered, 1=processed, 2=sent, 3=paid, 4=cancelled
<define-tag st_order>0</define-tag>
<define-tag st_processed>1</define-tag>
<define-tag st_sent>2</define-tag>
<define-tag st_paid>3</define-tag>
<define-tag st_cancel>4</define-tag>

<define-tag status>
<?
  $status[<st_order>] = "ordered";
  $status[<st_processed>] = "processed";
  $status[<st_sent>] = "sent";
  $status[<st_paid>] = "paid";
  $status[<st_cancel>] = "cancel";
?>
</define-tag>

# Datenbank-Routinen
#
# dbconnect()    Verbindung zur Datenbank aufbauen
#                In : /
#                Out: $dbh
# dbquery()      Datenbankabfrage
#                In : $dbh, $query
#                Out: $dbh
#
<?
  function dbconnect ()
  {
    $dbh = pg_pconnect ("<dbhost>", "<dbport>", "<dbname>")
	   or die("Unable to connect to SQL server");

    pg_exec ($dbh, "SET DateStyle = 'ISO'"); //no-error-checking or die("Unable to issue query!");
    return $dbh;
  }

  function dbquery ($dbh, $query)
  {
    # $query = "SELECT * FROM news WHERE id = '$id'";
    # printf ("\n<!-- %s -->\n", $query);
    # printf ("<br><b>%s</b><br>", $query);
    $sth = pg_exec ($dbh, $query);

    return $sth;
  }
?>

